Upgrading JRE

You can upgrade new versions of JRE to OnCommand Workflow Automation (WFA) on the Linux server. You can upgrade to a newer version of JRE to get fixes for security vulnerabilities on the Linux server. You can upgrade from one update of JRE 1.8 to a later update of JRE 1.8. You cannot upgrade to a later major release of JRE such as Java 9. For example, you cannot update from Java 8 update 144 (64 bit) to Java 8 update 151 (64 bit), or from Java 8 to Java 9.

Before you begin

You must have root privileges for the Linux system on which you installed WFA.

Steps

  1. Log in as a root user on the WFA host machine.
  2. Download the latest version of Java 8 (64-bit) on the target system.
  3. Install the downloaded version of Java 8 on the target system.
  4. At the shell prompt, stop the WFA server services: service wfa-server stop
  5. Start the WFA services: service wfa-server start